# Type Alias EventTypes

EventTypes: Pick<
ControllerEventTypes,
typeof PROXY_CONTROLLER_EVENT_NAMES[number],
> & LegacyEventType & {
"currentState.change"(event: StateEvent): void;
dispose(): void;
error(error: Error): void;
fps(fps: number): void;
"helpers.visible"(event: ObjectEvent): void;
"mode.change"(event: ModeChangeEvent): void;
"mode.change.request"(event: ModeChangeEvent): void;
"model.changeShownFloor"(event: ModelEvent): void;
"model.error"(event: ModelEvent): void;
"model.load"(event: ModelEvent): void;
"model.request"(event: ModelEvent): void;
"models.load"(event: ModelSceneEvent): void;
"models.refined"(event: ModelSceneEvent): void;
"models.tileLoad"(event: ModelTileEvent): void;
"models.tileUnload"(event: ModelTileEvent): void;
"network.resource"(event: NetworkResourceEvent): void;
"pano.request"(event: PanoEvent): void;
render(event: RenderEvent): void;
"render.prepare"(event: RenderEvent): void;
"state.change"(event: StateEvent): void;
"state.set"(event: StateEvent): void;
"state.synced"(event: StateEvent): void;
"works.load"(event: WorksEvent): void;
"works.ready"(event: WorksEvent): void;
"works.request"(event: WorksEvent): void;
}

Five 事件列表

#### Type Declaration

- ##### currentState.change: function

  - "currentState.change"(event: StateEvent): void

    当前 state 变化

    #### Parameters

    - event: StateEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:79

- ##### dispose: function

  - dispose(): void

    five 被析构。 插件中请监听用于自身析构

    #### Returns void

    - Defined in lib/five/application/events.ts:127

- ##### error: function

  - error(error: Error): void

    内部错误

    #### Parameters

    - error: Error

    #### Returns void

    - Defined in lib/five/application/events.ts:58

- ##### fps: function

  - fps(fps: number): void

    当前 fps 变化

    #### Parameters

    - fps: number

    #### Returns void

    - Defined in lib/five/application/events.ts:124

- ##### helpers.visible: function

  - "helpers.visible"(event: ObjectEvent): void

    改变 helpers 元素可见

    #### Parameters

    - event: ObjectEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:118

- ##### mode.change: function

  - "mode.change"(event: ModeChangeEvent): void

    改变 mode

    #### Parameters

    - event: ModeChangeEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:115

- ##### mode.change.request: function

  - "mode.change.request"(event: ModeChangeEvent): void

    请求改变 mode

    #### Parameters

    - event: ModeChangeEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:112

- ##### model.changeShownFloor: function

  - "model.changeShownFloor"(event: ModelEvent): void

    当模型修改楼层

    #### Parameters

    - event: ModelEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:91

- ##### model.error: function

  - "model.error"(event: ModelEvent): void

    当模型错误

    #### Parameters

    - event: ModelEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:88

- ##### model.load: function

  - "model.load"(event: ModelEvent): void

    当模型修改楼层

    #### Parameters

    - event: ModelEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:85

- ##### model.request: function

  - "model.request"(event: ModelEvent): void

    当模型加载

    #### Parameters

    - event: ModelEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:82

- ##### models.load: function

  - "models.load"(event: ModelSceneEvent): void

    模型加载完成

    #### Parameters

    - event: ModelSceneEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:94

- ##### models.refined: function

  - "models.refined"(event: ModelSceneEvent): void

    模型细化完成

    #### Parameters

    - event: ModelSceneEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:97

- ##### models.tileLoad: function

  - "models.tileLoad"(event: ModelTileEvent): void

    模型加载完成

    #### Parameters

    - event: ModelTileEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:100

- ##### models.tileUnload: function

  - "models.tileUnload"(event: ModelTileEvent): void

    模型加载完成

    #### Parameters

    - event: ModelTileEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:103

- ##### network.resource: function

  - "network.resource"(event: NetworkResourceEvent): void

    网络资源

    #### Parameters

    - event: NetworkResourceEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:121

- ##### pano.request: function

  - "pano.request"(event: PanoEvent): void

    请求点位

    #### Parameters

    - event: PanoEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:55

- ##### render: function

  - render(event: RenderEvent): void

    渲染后

    #### Parameters

    - event: RenderEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:109

- ##### render.prepare: function

  - "render.prepare"(event: RenderEvent): void

    渲染前

    #### Parameters

    - event: RenderEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:106

- ##### state.change: function

  - "state.change"(event: StateEvent): void

    当 state 变化

    #### Parameters

    - event: StateEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:73

- ##### state.set: function

  - "state.set"(event: StateEvent): void

    设置 state

    #### Parameters

    - event: StateEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:70

- ##### state.synced: function

  - "state.synced"(event: StateEvent): void

    当 state 同步完成

    #### Parameters

    - event: StateEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:76

- ##### works.load: function

  - "works.load"(event: WorksEvent): void

    加载 work

    #### Parameters

    - event: WorksEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:64

- ##### works.ready: function

  - "works.ready"(event: WorksEvent): void

    加载 work 并 controller ready

    #### Parameters

    - event: WorksEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:67

- ##### works.request: function

  - "works.request"(event: WorksEvent): void

    请求 work数据

    #### Parameters

    - event: WorksEvent

    #### Returns void

    - Defined in lib/five/application/events.ts:61

#### Description

具体事件列表 请查看 EventCallback

- Defined in lib/five/application/events.ts:52